<?php if (isset($_REQUEST['referencia']) and isset($order) and !empty($order) and !is_null($order) and is_object($order)) : ?>
    <style>
        .alert {
            border-radius: 10px;
            padding: 10px;
        }

        .alert-error {
            color: #842029;
            background-color: #f8d7da;
            border-color: #f5c2c7;
        }

        .alert-warning {
            color: #664d03;
            background-color: #fff3cd;
            border-color: #ffecb5;
        }

        .alert-success {
            color: #0f5132;
            background-color: #d1e7dd;
            border-color: #badbcc;
        }

        .font-weight {
            font-weight: bold;
        }

        .text-center {
            text-align: center;
        }

        .img-responsive {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 50%;
        }
    </style>
    <table id="checkout">
        <tr>
            <td colspan="2">
                <img src="<?= plugins_url('/img/logo.png', __FILE__) ?>" class="img-responsive" />
            </td>
        </tr>
        <tr>
            <td>Referencia</td>
            <td><?php echo $order->get_id() ?></td>
        </tr>
        <tr>
            <td>Nombres:</td>
            <td><?= $order->get_billing_first_name() ?></td>
        </tr>
        <tr>
            <td>Apellidos:</td>
            <td><?= $order->get_billing_last_name() ?></td>
        </tr>
        <tr>
            <td>Email:</td>
            <td><?= $order->get_billing_email() ?></td>
        </tr>
        <tr>
            <td>Moneda</td>
            <td><?php echo $order->get_currency() ?></td>
        </tr>
        <?php
        switch ($order->get_status()):
            case 'completed':
                $class = "success";
                $icon = "face-smile";
                $woocommerce->cart->empty_cart();
                break;
            default:
                $class = "warning";
                $icon = "face-meh";
                break;
        endswitch;
        ?>
        <tr class="alert-<?= $class ?>">
            <td>Estado de la transacción</td>
            <td><i class="fa-regular fa-<?php echo $icon ?> fa-lg"></i> <?php echo wc_get_order_status_name($order->get_status()) ?></td>
        </tr>
        <?php
        $moneyformat = new NumberFormatter('es_EC', NumberFormatter::CURRENCY);
        ?>
        <tr>
            <td>Impuestos</td>
            <td><?php echo $moneyformat->formatCurrency($order->get_total_tax(), $order->get_currency()); ?></td>
        </tr>
        <tr>
            <td>Envío</td>
            <td><?php echo $moneyformat->formatCurrency($order->get_total_shipping(), $order->get_currency()); ?></td>
        </tr>
        <tr>
            <td>Descuento</td>
            <td><?php echo $moneyformat->formatCurrency($order->get_total_discount(), $order->get_currency()); ?></td>
        </tr>
        <tr>
            <td>Total</td>
            <td><?php echo $moneyformat->formatCurrency($order->get_total(), $order->get_currency()); ?></td>
        </tr>
        <tr>
            <td>Método de pago</td>
            <td><?php echo $order->get_payment_method_title() ?></td>
        </tr>
        <tr>
            <td>Fecha</td>
            <td><?php $data = $order->get_data();
                echo $data['date_modified']->date('Y-m-d h:i a') ?></td>
        </tr>
    </table>
<?php endif; ?>